/******************************************************/
/* Goblin's Cube - Rubik's cube game for Wii Homebrew */
/* Copyright (C) 2009 Ricardo Bueno Cordeiro          */
/* Licensed under de GNU General Public License v2.0  */
/*   See license_gplv2.txt for detalis                */
/******************************************************/

#ifndef __CONTROL_BASE_H_
#define __CONTROL_BASE_H_

#include <wiiuse/wpad.h>

#define CONTROL_FOREGROUND 0
#define CONTROL_BACKGROUND 1
#define CONTROL_HIDDEN     2

class ControlBase {
public:
	virtual int update(WPADData *wiimote_data, int state) = 0;
	virtual void draw(int state) = 0;
	virtual void text(int state) = 0;
};

#endif
