/******************************************************/
/* Goblin's Cube - Rubik's cube game for Wii Homebrew */
/* Copyright (C) 2009 Ricardo Bueno Cordeiro          */
/* Licensed under de GNU General Public License v2.0  */
/*   See license_gplv2.txt for detalis                */
/******************************************************/

#ifndef __CONTROL_HIGHSCORE_H_
#define __CONTROL_HIGHSCORE_H_

#include <gccore.h>

#include "control_base.h"
#include "highscore.h"

class ControlHighscore : public ControlBase {
private:
	int naming_result;
	int naming_current_letter;

	Highscore local;
	Highscore online;

public:
	ControlHighscore();
	
	int update(WPADData *wiimote_data, int state);
	void draw(int state);
	void text(int state);
	
	void just_solved();
};

#endif
