/******************************************************/
/* Goblin's Cube - Rubik's cube game for Wii Homebrew */
/* Copyright (C) 2009 Ricardo Bueno Cordeiro          */
/* Licensed under de GNU General Public License v2.0  */
/*   See license_gplv2.txt for detalis                */
/******************************************************/

#include <fat.h>
#include <sys/stat.h>

static bool working = 0;

void filesystem_init() {
	working = fatInitDefault();
}

bool filesystem_is_working() {
	return working;
}

int filesystem_check_file(const char *full_path) {
	struct stat s;
	return !stat(full_path, &s);
}
