/******************************************************/
/* Goblin's Cube - Rubik's cube game for Wii Homebrew */
/* Copyright (C) 2009 Ricardo Bueno Cordeiro          */
/* Licensed under de GNU General Public License v2.0  */
/*   See license_gplv2.txt for detalis                */
/******************************************************/

#include <tr1/random>
#include <gccore.h>
#include <ogc/lwp_watchdog.h>

static std::tr1::mt19937 generator;

void init_random() {
	generator.seed((unsigned int)gettime());
}

u32 generate() {
	return generator();
}
